GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Friends
grpc::ClientContext Class Reference

`#include <client_context.h>`

## Public Member Functions
| ClientContext ()
| ~ClientContext ()
void | AddMetadata (const grpc::string &meta_key, const grpc::string &meta_value)
const std::multimap < grpc::string, grpc::string > & | GetServerInitialMetadata ()
const std::multimap < grpc::string, grpc::string > & | GetServerTrailingMetadata ()
template<typename T >
void | set_deadline (const T &deadline)
std::chrono::system_clock::time_point | deadline ()
gpr_timespec | raw_deadline ()
void | set_authority (const grpc::string &authority)
void | set_credentials (const std::shared_ptr< Credentials > &creds)
grpc_compression_algorithm | compression_algorithm () const
void | set_compression_algorithm (grpc_compression_algorithm algorithm)
std::shared_ptr< const AuthContext > | auth_context () const
grpc::string | peer () const
void | set_census_context (struct census_context *ccp)
struct census_context * | census_context () const
void | TryCancel ()

## Friends
class | CallOpClientRecvStatus
class | CallOpRecvInitialMetadata
class | Channel
template<class R >
class | ::grpc::ClientReader
template<class W >
class | ::grpc::ClientWriter
template<class R , class W >
class | ::grpc::ClientReaderWriter
template<class R >
class | ::grpc::ClientAsyncReader
template<class W >
class | ::grpc::ClientAsyncWriter
template<class R , class W >
class | ::grpc::ClientAsyncReaderWriter
template<class R >
class | ::grpc::ClientAsyncResponseReader
template<class InputMessage , class OutputMessage >
Status | BlockingUnaryCall (ChannelInterface *channel, const RpcMethod &method, ClientContext *context, const InputMessage &request, OutputMessage *result)

## Constructor & Destructor Documentation

grpc::ClientContext::ClientContext | ( |  | ) |

grpc::ClientContext::~ClientContext | ( |  | ) |

## Member Function Documentation

void grpc::ClientContext::AddMetadata | ( | const grpc::string & | meta_key,
|  | const grpc::string & | meta_value
| ) |  |

std::shared_ptr<const AuthContext> grpc::ClientContext::auth_context | ( |  | ) | const

struct census_context* grpc::ClientContext::census_context | ( |  | ) | const
| inline

grpc_compression_algorithm grpc::ClientContext::compression_algorithm | ( |  | ) | const
| inline

std::chrono::system_clock::time_point grpc::ClientContext::deadline | ( |  | ) |
| inline

const std::multimap<grpc::string, grpc::string>& grpc::ClientContext::GetServerInitialMetadata | ( |  | ) |
| inline

const std::multimap<grpc::string, grpc::string>& grpc::ClientContext::GetServerTrailingMetadata | ( |  | ) |
| inline

grpc::string grpc::ClientContext::peer | ( |  | ) | const

gpr_timespec grpc::ClientContext::raw_deadline | ( |  | ) |
| inline

void grpc::ClientContext::set_authority | ( | const grpc::string & | authority | ) |
| inline

void grpc::ClientContext::set_census_context | ( | struct census_context * | ccp | ) |
| inline

void grpc::ClientContext::set_compression_algorithm | ( | grpc_compression_algorithm | algorithm | ) |

void grpc::ClientContext::set_credentials | ( | const std::shared_ptr< Credentials > & | creds | ) |
| inline

template<typename T >

void grpc::ClientContext::set_deadline | ( | const T & | deadline | ) |
| inline

void grpc::ClientContext::TryCancel | ( |  | ) |

## Friends And Related Function Documentation

template<class R >

friend class ::grpc::ClientAsyncReader
| friend

template<class R , class W >

friend class ::grpc::ClientAsyncReaderWriter
| friend

template<class R >

friend class ::grpc::ClientAsyncResponseReader
| friend

template<class W >

friend class ::grpc::ClientAsyncWriter
| friend

template<class R >

friend class ::grpc::ClientReader
| friend

template<class R , class W >

friend class ::grpc::ClientReaderWriter
| friend

template<class W >

friend class ::grpc::ClientWriter
| friend

template<class InputMessage , class OutputMessage >

Status BlockingUnaryCall | ( | ChannelInterface * | channel,
|  | const RpcMethod & | method,
|  | ClientContext * | context,
|  | const InputMessage & | request,
|  | OutputMessage * | result
| ) |  |
| friend

friend class CallOpClientRecvStatus
| friend

friend class CallOpRecvInitialMetadata
| friend

friend class Channel
| friend

The documentation for this class was generated from the following file:

- include/grpc++/client_context.h